Package org.eclipse.wst.xsl.ui.internal.preferences

## org.eclipse.wst.xsl.ui.internal.preferences
Class ComboData

    package-private class ComboData
    extends java.lang.Object

## Field Summary

`package-private int` | `originalSeverity`

## Constructor Summary

`ComboData(java.lang.String key , int[] severities , int index)`

## Method Summary

`public int` | `getIndex()`
`public java.lang.String` | `getKey()`
`public int` | `getSeverity()`
`package-private boolean` | `isChanged()`
`public void` | `setIndex(int index)`
`public void` | `setSeverity(int severity)` Sets the severity index based on `severity`. If the severity doesn't exist, the index is set to -1.

## Field Detail

## originalSeverity

`package-private int originalSeverity`

## Constructor Detail

## ComboData

`public ComboData(java.lang.String key , int[] severities , int index)`

## Methods Detail

## getIndex

`public int getIndex()`

### Returns

`int`

## getKey

`public java.lang.String getKey()`

### Returns

`java.lang.String`

## getSeverity

`public int getSeverity()`

### Returns

`int`

## isChanged

`package-private boolean isChanged()`

### Returns

`boolean`

## setIndex

`public void setIndex(int index)`

### Parameters

`index`

## setSeverity

`public void setSeverity(int severity)`

Sets the severity index based on `severity`. If the severity doesn't exist, the index is set to -1.

### Parameters

`severity` - the severity level